const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const USER_ROLE = {
    CLIENT: "client",
    AGENT: "agent"
};

const userSchema = new Schema({
    name: String,
    email: String,
    password: String,
    role: String,
});

const User = mongoose.model("User", userSchema);

module.exports = {
    USER_ROLE: USER_ROLE,
    User: User,
};